Subject: Re: [Ace] EST over CoAP in ACE wg

From: Michael Richardson <[email-masked]>
Date: Wed, 07 Dec 2016 14:50:25 -0500

see inline

Martin Furuhed Nexus <[email-masked]> wrote:
    > My first post after joining the list.

welcome!

    > As mentioned by Shahid and Samuel, Nexus Group and SICS began a joint
    > project over a year ago for enabling constrained devices enroll for
    > certificates using EST over CoAP.

    > A standard EST server add-on will soon be part of the Nexus
    > Certificate Manager CA software. Additional EST CoAP server work is
    > now done in parallel with the work on the SICS EST CoAP client. Our
    > current implementation shares many similarities to the draft, and the
    > objective is to update and align our implementation to the draft going
    > forward. We would be happy to contribute experience together with SICS
    > based on our ongoing work.

It would be great if you could review the two drafts and say if there were
significant changes from what you implemented, and ideally to say if
they were arbitrary decisions, or were motivated by a need to solve
a problem we have not yet realized needed to be solved.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-